package com.njcn.pojo.data;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 事件汇总表，按月进行分区
 * */
@Table(name="PQS_EVENTDETAIL")
public class EventDetail  implements Serializable {

	@Id
	@Column(name="EVENTDETAIL_INDEX")
	private String eventDetailIndex;

	@Column(name="LINEID")
	private Long lineId;

	@Column(name="TIMEID")
	private Date timeId;

	//事件发生时间的毫秒计时
	@Column(name="MS")
	private Long ms;

	@Column(name="DESCRIBE")
	private String describe;

	@Column(name="WAVETYPE")
	private Integer waveType;

	//持续时间
	@Column(name="PERSISTTIME")
	private Float persistTime;

	//特征幅值
	@Column(name="EVENTVALUE")
	private Float eventValue;

	@Column(name="EVENTREASON")
	private String eventReason;

	@Column(name="EVENTTYPE")
	private String eventType;

	@Column(name="EVENTASS_INDEX")
	private String eventassIndex;

	@Column(name="DQTIME")
	private Float dqTime;

	@Column(name="DEALTIME")
	private Date DealTime;

	@Column(name="NUM")
	private Integer num;

	@Column(name="FILEFLAG")
	private String fileFlag;

	@Column(name="DEALFLAG")
	private String dealFlag;

	@Column(name="FIRSTTIME")
	private Date firstTime;

	@Column(name = "FIRSTTYPE")
	private String firstType;

	@Column(name="FIRSTMS")
	private Integer firstMs;


	@Column(name = "WAVENAME")
	private String waveName;

	@Column(name="Energy")
	private Float energy;

	@Column(name="Severity")
	private Float severity;

	@Transient
	private String ip;

	@Transient
	private String lineName;

	@Transient
	private String gdName;

	@Transient
	private String subName;

	@Transient
	private String scale;

	@Transient
	private String loadType;

	@Transient
	private String time;

	@Transient
	private String eventName;

	public String getDevType() {
		return devType;
	}

	public void setDevType(String devType) {
		this.devType = devType;
	}

	@Transient
	private String devType;


	public String getEventDetailIndex() {
		return eventDetailIndex;
	}

	public void setEventDetailIndex(String eventDetailIndex) {
		this.eventDetailIndex = eventDetailIndex;
	}

	public Long getLineId() {
		return lineId;
	}

	public void setLineId(Long lineId) {
		this.lineId = lineId;
	}

	public Date getTimeId() {
		return timeId;
	}

	public void setTimeId(Date timeId) {
		this.timeId = timeId;
	}

	public Long getMs() {
		return ms;
	}

	public void setMs(Long ms) {
		this.ms = ms;
	}

	public String getDescribe() {
		return describe;
	}

	public void setDescribe(String describe) {
		this.describe = describe;
	}

	public Integer getWaveType() {
		return waveType;
	}

	public void setWaveType(Integer waveType) {
		this.waveType = waveType;
	}

	public Float getPersistTime() {
		return persistTime;
	}

	public void setPersistTime(Float persistTime) {
		this.persistTime = persistTime;
	}

	public Float getEventValue() {
		return eventValue;
	}

	public void setEventValue(Float eventValue) {
		this.eventValue = eventValue;
	}

	public String getEventReason() {
		return eventReason;
	}

	public void setEventReason(String eventReason) {
		this.eventReason = eventReason;
	}

	public String getEventType() {
		return eventType;
	}

	public void setEventType(String eventType) {
		this.eventType = eventType;
	}

	public String getEventassIndex() {
		return eventassIndex;
	}

	public void setEventassIndex(String eventassIndex) {
		this.eventassIndex = eventassIndex;
	}

	public Float getDqTime() {
		return dqTime;
	}

	public void setDqTime(Float dqTime) {
		this.dqTime = dqTime;
	}

	public Date getDealTime() {
		return DealTime;
	}

	public void setDealTime(Date dealTime) {
		DealTime = dealTime;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public String getFileFlag() {
		return fileFlag;
	}

	public void setFileFlag(String fileFlag) {
		this.fileFlag = fileFlag;
	}

	public String getDealFlag() {
		return dealFlag;
	}

	public void setDealFlag(String dealFlag) {
		this.dealFlag = dealFlag;
	}

	public Date getFirstTime() {
		return firstTime;
	}

	public void setFirstTime(Date firstTime) {
		this.firstTime = firstTime;
	}

	public String getFirstType() {
		return firstType;
	}

	public void setFirstType(String firstType) {
		this.firstType = firstType;
	}

	public Integer getFirstMs() {
		return firstMs;
	}

	public void setFirstMs(Integer firstMs) {
		this.firstMs = firstMs;
	}

	public String getWaveName() {
		return waveName;
	}

	public void setWaveName(String waveName) {
		this.waveName = waveName;
	}

	public Float getEnergy() {
		return energy;
	}

	public void setEnergy(Float energy) {
		this.energy = energy;
	}

	public Float getSeverity() {
		return severity;
	}

	public void setSeverity(Float severity) {
		this.severity = severity;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getLineName() {
		return lineName;
	}

	public void setLineName(String lineName) {
		this.lineName = lineName;
	}

	public String getGdName() {
		return gdName;
	}

	public void setGdName(String gdName) {
		this.gdName = gdName;
	}

	public String getSubName() {
		return subName;
	}

	public void setSubName(String subName) {
		this.subName = subName;
	}

	public String getScale() {
		return scale;
	}

	public void setScale(String scale) {
		this.scale = scale;
	}

	public String getLoadType() {
		return loadType;
	}

	public void setLoadType(String loadType) {
		this.loadType = loadType;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getEventName() {
		return eventName;
	}

	public void setEventName(String eventName) {
		this.eventName = eventName;
	}

	@Override
	public String toString() {
		return "EventDetail{" +
				"eventDetailIndex='" + eventDetailIndex + '\'' +
				", lineId=" + lineId +
				", timeId=" + timeId +
				", ms=" + ms +
				", describe='" + describe + '\'' +
				", waveType=" + waveType +
				", persistTime=" + persistTime +
				", eventValue=" + eventValue +
				", eventReason='" + eventReason + '\'' +
				", eventType='" + eventType + '\'' +
				", eventassIndex='" + eventassIndex + '\'' +
				", dqTime=" + dqTime +
				", DealTime=" + DealTime +
				", num=" + num +
				", fileFlag='" + fileFlag + '\'' +
				", dealFlag='" + dealFlag + '\'' +
				", firstTime=" + firstTime +
				", firstType='" + firstType + '\'' +
				", firstMs=" + firstMs +
				", waveName='" + waveName + '\'' +
				", energy=" + energy +
				", severity=" + severity +
				", ip='" + ip + '\'' +
				", lineName='" + lineName + '\'' +
				", gdName='" + gdName + '\'' +
				", subName='" + subName + '\'' +
				", scale='" + scale + '\'' +
				", loadType='" + loadType + '\'' +
				", time='" + time + '\'' +
				", eventName='" + eventName + '\'' +
				", devType='" + devType + '\'' +
				'}';
	}
}
